<template>
    <button
     :class="['btn', `btn_${designType}`]"
     :disabled="disabled"
     :style="{'width': width}"
     @click="clickOnButton"
     >
       <span v-if="icon">
         <img :src="`~/assets/images/${icon}`" alt=""/>
       </span>
       <span v-else>{{label}}</span>
     </button>
 </template>

<script>

export default {
  name: 'SmartButton',
  props: {
        label: {
            type: String,
            default: 'Button'
        },
        designType: {
            type: String,
            default: 'PlanetLearn'
        },
        // eslint-disable-next-line vue/require-default-prop
        icon: {
            type: String,
            required: false
        },
        disabled: {
            type: Boolean,
            required: false
        },
        width: {
            type: String,
            required: false,
            default: '100%'
        },
    },
    methods:{
        clickOnButton(){
            this.$emit('click')
        }
    }
}   
</script>




<style lang="scss" scoped>
.btn {
  padding: 0 16px;
  height: 40px;
  border-radius: 12px;
  border: none;
  min-width: 200px;
  cursor: pointer;
  font-size: 15px;
  font-weight: 700;
  transition: .2s;
  border-radius: 12px;
  &:enabled:focus{
    box-shadow: none;
  }
  &_PlanetLearn {
    background: #000000;
    color: #FFFFFF;
    &:enabled:hover {
      background: #00CA14;
    }
    &:disabled{
      background: #D2D2D2;
    }
  }
  &_SmartStudy {
    background:  #FFFFFF;
    color: #495EEE;
    &:enabled:hover {
      background: #6C89FF;
      color: #FFFFFF;
    }
    &:disabled{
      background: #617398;
      color: #FFFFFF;
    }
  }
  &:disabled {
    opacity: .6;
    cursor: default;
  }
  
}
</style>